Package org.eclipse.m2m.atl.emftvm.util

## Class EnumLiteral

- java.lang.Object
- - org.eclipse.m2m.atl.emftvm.util.EnumLiteral

All Implemented Interfaces:
  `java.io.Serializable`

    public final class EnumLiteral
    extends java.lang.Object
    implements java.io.Serializable

Generic enumeration literal.

See Also:
  Serialized Form

### Constructor Summary

Constructors
`EnumLiteral​(java.lang.String name)` Creates a new `EnumLiteral`.

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals​(java.lang.Object obj)`
`org.eclipse.emf.common.util.Enumerator` `getEnumerator​(org.eclipse.emf.ecore.EEnum eEnum)` Returns the type-safe enumeration literal for eEnum.
`java.lang.String` `getName()` Returns the literal name.
`int` `hashCode()`
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### EnumLiteral

    public EnumLiteral​(java.lang.String name)

Creates a new `EnumLiteral`.

Parameters:
  `name` - the literal name

### Method Detail

#### getName

    public java.lang.String getName()

Returns the literal name.

Returns:
  the name

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`

#### getEnumerator

    public org.eclipse.emf.common.util.Enumerator getEnumerator​(org.eclipse.emf.ecore.EEnum eEnum)
                                                         throws java.lang.IllegalArgumentException

Returns the type-safe enumeration literal for eEnum.

Parameters:
  `eEnum` - the `EEnum` type
Returns:
  the type-safe enumeration literal for eEnum
Throws:
  `java.lang.IllegalArgumentException` - if not found

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `java.lang.Object`

#### equals

    public boolean equals​(java.lang.Object obj)

Overrides:
  `equals` in class `java.lang.Object`